## parley 20.08.1

=== debian/changelog ===
parley (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:02:52 +0100

parley (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Merge changes from 4:17.08.3-1.1:
    - drop patch qt_5.11.patch, backported from upstream
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Remove also README.rst, and six.README from the internal Python mwclient
    copy.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - explicitly add gettext

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 09:29:53 +0200

parley (4:20.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch watch file to new KDE release service URL.
  * Borrow minimal upstream signing key from k3b.
  * Update upstream project website homepage URL.
  * New upstream release (19.12.3).
  * Update build-dependencies according to upstream build system:
    - cmake >= 3.5
    - remove libkf5khtml-dev, add qtwebengine5-dev
    - ECM >= 5.22.0
  * Point Vcs-* control fields to Salsa.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Drop kde-l10n migration rules not required anymore after 2 stable
    releases.
  * Switch from dhmk do dh sequencer with kf5 addon.
  * Build with hardening=+all build flag.
  * Review copyright information.

  [ Pino Toscano ]
  * New upstream release.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages. (Closes: #953239)
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update lintian overrides.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 20:00:17 +0200
