=== debian/changelog ===
parley (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update install files.
  * Unregister the old /etc/xdg/parley.knsrc, and /etc/xdg/parley-themes.knsrc
    conffiles.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 22:48:09 +0100
