=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.22.0~),
                gettext,
                kross-dev (>= 5.22~),
-               libkeduvocdocument-dev (>= 4:20.08.1~),
+               libkeduvocdocument-dev (>= 4:16.08),
                libkf5config-dev (>= 5.22~),
                libkf5coreaddons-dev (>= 5.22~),
                libkf5crash-dev (>= 5.22~),
@@ -28,7 +28,7 @@
                qtbase5-dev (>= 5.10.0~),
                qtmultimedia5-dev (>= 5.10.0~),
                qtwebengine5-dev (>= 5.10.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/education/org.kde.parley
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
