=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                extra-cmake-modules (>= 5.22.0~),
                gettext,
                kross-dev (>= 5.22~),
-               libkeduvocdocument-dev (>= 4:16.08),
+               libkeduvocdocument-dev (>= 4:20.12.3~),
                libkf5config-dev (>= 5.22~),
                libkf5coreaddons-dev (>= 5.22~),
                libkf5crash-dev (>= 5.22~),
