=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.22.0~),
                gettext,
-               kross-dev (>= 5.22~),
-               libkeduvocdocument-dev (>= 4:20.12.3~),
-               libkf5config-dev (>= 5.22~),
-               libkf5coreaddons-dev (>= 5.22~),
-               libkf5crash-dev (>= 5.22~),
-               libkf5doctools-dev (>= 5.22~),
-               libkf5i18n-dev (>= 5.22~),
-               libkf5kcmutils-dev (>= 5.22~),
-               libkf5kio-dev (>= 5.22~),
-               libkf5newstuff-dev (>= 5.22~),
-               libkf5notifications-dev (>= 5.22~),
-               libkf5sonnet-dev (>= 5.22~),
-               libkf5xmlgui-dev (>= 5.22~),
+               kross-dev (>= 5.22.0~),
+               libkeduvocdocument-dev (>= 4:16.08),
+               libkf5config-dev (>= 5.22.0~),
+               libkf5coreaddons-dev (>= 5.22.0~),
+               libkf5crash-dev (>= 5.22.0~),
+               libkf5doctools-dev (>= 5.22.0~),
+               libkf5i18n-dev (>= 5.22.0~),
+               libkf5kcmutils-dev (>= 5.22.0~),
+               libkf5kio-dev (>= 5.22.0~),
+               libkf5newstuff-dev (>= 5.22.0~),
+               libkf5notifications-dev (>= 5.22.0~),
+               libkf5sonnet-dev (>= 5.22.0~),
+               libkf5xmlgui-dev (>= 5.22.0~),
                libqt5svg5-dev (>= 5.10.0~),
                libxml2-dev,
                libxslt-dev,
@@ -28,7 +28,7 @@
                qtbase5-dev (>= 5.10.0~),
                qtmultimedia5-dev (>= 5.10.0~),
                qtwebengine5-dev (>= 5.10.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/education/org.kde.parley
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
