## parley 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,27 +1,31 @@
-cmake_minimum_required(VERSION 3.5.0)
+cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(parley VERSION ${RELEASE_SERVICE_VERSION})
-set(QT_MIN_VERSION "5.10.0")
-set(KF5_MIN_VERSION "5.22.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.73.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
 include(KDEInstallDirs)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(ECMEnableSanitizers)
 include(FeatureSummary)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 #Allows QString concatenation to use a single memory allocation per source line.
 add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_NO_FOREACH)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
   Core
@@ -39,12 +43,11 @@
   I18n
   KIO
   NewStuff
-  Kross
   Sonnet
+  TextWidgets
   KCMUtils
   XmlGui
   Notifications
-  #Plasma
 )
 
 find_package(LibKEduVocDocument)
@@ -67,12 +70,12 @@
                        PURPOSE "Required to build HTML export for Parley."
                       )
 
-
-#@todo frameworks restore Xattica
-# find_package(LibAttica)
-
-# macro_log_feature(LIBATTICA_FOUND "libattica" "A library to access Open Collaboration Service providers" "https://kde.org" FALSE "" "Required to access OCS providers in get hot new stuff.")
-
+find_package(TranslateShell)
+set_package_properties(TranslateShell PROPERTIES
+                       URL "https://github.com/soimort/translate-shell"
+                       TYPE RUNTIME
+                       PURPOSE "Runtime dependency for online access to translations"
+                      )
 
 # at the end, output the configuration
 configure_file(
@@ -88,10 +91,7 @@
 # Define link libs for parley executable and unittests
 set( parley_LINK_LIBS
   LibKEduVocDocumentImport__KEduVocDocument
-  KF5::KrossCore
-  # KF5::ConfigCore
   Qt5::Core
-  # Qt5::Qml
   Qt5::Svg
   KF5::I18n
   KF5::NewStuff
@@ -135,15 +135,6 @@
   message(STATUS "X11 Xrender not found, but not required")
 endif(X11_Xrender_FOUND)
 
-
-#define the include libraries for both the parley executable and the autotests
-# set( parley_INCLUDE_DIRS
-#   # ${LIBATTICA_INCLUDE_DIR}
-#   # libkdeedu/keduvocdocument contains the library for reading and writing vocabulary files
-#   ${LIBKDEEDU_INCLUDE_DIR}
-# )
-
-
 if(BUILD_TESTING)
   add_subdirectory( autotests )
   add_subdirectory( tests )
@@ -152,24 +143,21 @@
 add_subdirectory( docs )
 add_subdirectory( src )
 add_subdirectory( icons )
-add_subdirectory( plugins )
 add_subdirectory( themes )
-add_subdirectory( tipofday )
 
 if(HAVE_LIBXSLT)
     add_subdirectory( xslt )
 endif(HAVE_LIBXSLT)
-
-
-#@todo unused This seems unused delete December 2014
-#add_subdirectory( scripts_test )
-
-#@todo frameworks restore/rewrite the plasmoid
-#add_subdirectory(plasmoid)
 
 ki18n_install(po)
 if (KF5DocTools_FOUND)
     kdoctools_install(po)
 endif()
 install(FILES org.kde.parley.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
