=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: parley
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.22.0~),
                gettext,
                kross-dev (>= 5.22.0~),
-               libkeduvocdocument-dev (>= 4:16.08),
+               libkeduvocdocument-dev (>= 4:21.12.3~),
                libkf5config-dev (>= 5.22.0~),
                libkf5coreaddons-dev (>= 5.22.0~),
                libkf5crash-dev (>= 5.22.0~),
@@ -31,8 +32,8 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://kde.org/applications/education/org.kde.parley
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/parley.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/parley
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/parley
 
 Package: parley
 Architecture: any
